! --------------------------------------------------------------------------
! 'params.i' : SIMULATION PARAMETERS
! --------------------------------------------------------------------------
! MPI Version of the Cartesian Solar Wave Simulator. 
! Copyright 2008, Shravan Hanasoge
!  
! W. W. Hansen Experimental Physics Laboratory
! Stanford University, Stanford
! CA 94305, USA
! Email: shravan@stanford.edu 
!
! Also see: http://soi.stanford.edu/
!									    
! --------------------------------------------------------------------------
!


! PARAMETERS OF THE SIMULATION
! nx, ny are the numbers of grid points in the x,y directions resply.
! xlength and ylength are the horizontal sides of the box, expressed in cgs
! A timestep of 2 seconds is generally pretty solid. Too large and the sim
! will explode. Too small and the expense is large.
integer nx, ny, num_steps
parameter (nx = 64, ny = nx)
real*8 xlength, ylength, timestep
parameter (xlength = 100.0 * 10**(8), ylength = xlength)


! DIRECTORY INFORMATION 
!
! NAME OF THE FORCING FUNCTION
character (LEN = *), PARAMETER :: forcingfunc = '/data/seismo1/hanasoge/forcing64.fits'
! CADENCE OF THE FORCING FUNCTION (i.e. SAMPLING RATE IN SECONDS)
real*8 cadforcing
parameter( cadforcing = 60.0)

! NUMBER OF TEMPORAL LEVELS SAMPLED AT RATE cadforcing 
parameter (num_steps =  724)
